import { PropType } from 'vue';
import { IEntity } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    appId: {
        type: StringConstructor;
    };
    id: {
        type: StringConstructor;
        required: true;
    };
    title: {
        type: StringConstructor;
        required: true;
    };
    data: {
        type: PropType<IEntity>;
    };
    doRefresh: {
        type: FunctionConstructor;
    };
    doSave: {
        type: FunctionConstructor;
    };
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        title: string;
        id: string;
        mode: string;
        enableInnerSave: boolean;
    } & {
        data?: IEntity | undefined;
        appId?: string | undefined;
        doRefresh?: Function | undefined;
        doSave?: Function | undefined;
    }>>>;
    emit: (event: "on-save", ...args: any[]) => void;
    _id: import("vue").Ref<string>;
    _data: import("vue").Ref<IEntity | undefined>;
    content: import("vue").Ref<IEntity | undefined>;
    mode: import("vue").Ref<string>;
    hasChange: import("vue").Ref<boolean>;
    refFields: import("vue").Ref<any>;
    refIndexes: import("vue").Ref<any>;
    refRelations: import("vue").Ref<any>;
    refEvents: import("vue").Ref<any>;
    refInfo: import("vue").Ref<any>;
    isShowRemoveFieldWarning: import("vue").Ref<boolean>;
    isShowRemoveIndexWarning: import("vue").Ref<boolean>;
    isShowRemoveRelationWarning: import("vue").Ref<boolean>;
    isShowRemoveEventWarning: import("vue").Ref<boolean>;
    appId: string | undefined;
    isSystem: import("vue").ComputedRef<boolean>;
    globalConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
    entityPlugins: import("@fly-vue/lcdp-api").IEntityPlugin[];
    params: import("vue").ComputedRef<{
        id: string;
        entity: IEntity | undefined;
    }>;
    isShowAlert: import("vue").ComputedRef<boolean>;
    tabs: {
        title: string;
        value: string;
    }[];
    save: (disableNotice?: boolean | undefined) => Promise<void>;
    reload: () => Promise<void>;
    syncFromDb: () => void;
    onChangeFields: (fields: Record<string, any>) => void;
    EntityInfo: import("vue").DefineComponent<{
        id: null;
        data: null;
    }, {
        __sfc: boolean;
        props: {
            id?: string | undefined;
            data: IEntity;
        };
        emit: (event: "update:data", ...args: any[]) => void;
        isEditable: import("vue").ComputedRef<boolean>;
        entity: import("vue").Ref<{
            name: string;
            title: string;
            description: string;
            tableName: string;
            schema?: string | undefined;
            datasource?: string | undefined;
            className?: string | undefined;
            source?: string | undefined;
            multiTenant?: {
                enabled?: boolean | undefined;
                field?: string | undefined;
            } | undefined;
            softDelete?: {
                enabled?: boolean | undefined;
                field?: string | undefined;
            } | undefined;
            dynamic?: boolean | undefined;
            audited?: boolean | undefined;
            fields: Record<string, import("@fly-vue/lcdp-api").IField>;
            relations: Record<string, import("@fly-vue/lcdp-api").IRelation>;
            indexes: Record<string, import("@fly-vue/lcdp-api").IIndex>;
            onEvents: Record<string, import("@fly-vue/lcdp-api").ICallback[]>;
        }> | import("vue").WritableComputedRef<IEntity>;
        defaultDatasource: import("vue").Ref<any>;
        defaultDatabase: import("vue").Ref<any>;
        enabledSoftDelete: import("vue").Ref<boolean | undefined>;
        softDeleteField: import("vue").Ref<string | undefined>;
        validate: () => true | "请输入实体编码" | "请指定逻辑删除字段";
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
        Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
        LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
        required: {
            required: boolean;
            message: string;
            trigger: string;
        };
        SelectField: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-field.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "update:data"[], string, Readonly<import("vue").ExtractPropTypes<{
        id: null;
        data: null;
    }>>, {}>;
    EntityIndexes: import("vue").DefineComponent<{
        id: {
            type: StringConstructor;
        };
        data: {
            type: PropType<IEntity>;
            required: true;
        };
        isSystem: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            data: IEntity;
            isSystem: boolean;
        } & {
            id?: string | undefined;
        }>>>;
        emit: (event: "on-remove", ...args: any[]) => void;
        list: import("vue").Ref<{
            name: string;
            title?: string | undefined;
            description?: string | undefined;
            unique: boolean;
            fields?: {
                name: string;
                order: import("@fly-vue/lcdp-api").OrderDirection;
            }[] | undefined;
            saved?: boolean | undefined;
        }[]>;
        params: import("@fly-vue/ide-core").IListLocalOperationParams;
        up: (index: number) => void;
        down: (index: number) => void;
        remove: (index: number) => Promise<void>;
        editable: import("vue").Ref<boolean>;
        warning: import("vue").Ref<boolean>;
        fields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
        finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
        addIndex: () => void;
        validate: () => true | "请补全必填项";
        save: () => Promise<boolean>;
        removeIndex: (index: number) => Promise<void>;
        onChangeIndexFields: (index: import("@fly-vue/lcdp-api").IIndex) => void;
        init: () => void;
        fieldsWarningClass: (item: import("@fly-vue/lcdp-api").IIndex) => {
            'ui-ring-2 ui-ring-red-400': boolean;
        };
        Checkbox: typeof import("view-design").Checkbox;
        Button: typeof import("view-design").Button;
        SelectIndexFields: import("vue").DefineComponent<{
            value: {
                type: PropType<import("@fly-vue/lcdp-api").IIndexField[]>;
                default: () => never[];
            };
            fields: {
                type: PropType<import("@fly-vue/lcdp-api").IField[]>;
                required: true;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                value: import("@fly-vue/lcdp-api").IIndexField[];
                fields: import("@fly-vue/lcdp-api").IField[];
            } & {}>>>;
            emit: (event: "input" | "on-ok", ...args: any[]) => void;
            list: import("vue").Ref<{
                name: string;
                order: import("@fly-vue/lcdp-api").OrderDirection;
            }[]> | import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IIndexField[]>;
            isShowAdd: import("vue").Ref<boolean>;
            candidates: import("vue").Ref<{
                selected?: boolean | undefined;
                title?: string | undefined;
                name: string;
                order: import("@fly-vue/lcdp-api").OrderDirection;
            }[]>;
            init: () => void;
            save: () => void;
            add: () => void;
            Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
            Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
            LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
            LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
            FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
            LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
            OrderDirection: typeof import("@fly-vue/lcdp-api").OrderDirection;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok")[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: PropType<import("@fly-vue/lcdp-api").IIndexField[]>;
                default: () => never[];
            };
            fields: {
                type: PropType<import("@fly-vue/lcdp-api").IField[]>;
                required: true;
            };
        }>>, {
            value: import("@fly-vue/lcdp-api").IIndexField[];
        }>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
        Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-remove"[], string, Readonly<import("vue").ExtractPropTypes<{
        id: {
            type: StringConstructor;
        };
        data: {
            type: PropType<IEntity>;
            required: true;
        };
        isSystem: {
            type: BooleanConstructor;
        };
    }>>, {
        isSystem: boolean;
    }>;
    EntityFields: import("vue").DefineComponent<{
        data: null;
        isSystem: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: {
            data?: IEntity | undefined;
            isSystem?: boolean | undefined;
        };
        emit: (event: "input" | "on-remove" | "on-change", ...args: any[]) => void;
        inputTypeList: {
            label: string;
            value: import("@fly-vue/lcdp-api").FieldInputType;
        }[];
        showToggleAllFields: string[];
        checkAll: import("vue").Ref<Record<string, boolean>>;
        warning: import("vue").Ref<boolean>;
        isFieldsEditable: import("vue").Ref<boolean>;
        list: import("vue").Ref<{
            name: string;
            title?: string | undefined;
            description?: string | undefined;
            type?: import("@fly-vue/lcdp-api").FieldType | undefined;
            dataType?: import("@fly-vue/lcdp-api").FieldDataType | undefined;
            primaryKey?: boolean | undefined;
            nullable?: boolean | undefined;
            autoIncrement?: boolean | undefined;
            idGenerator?: string | undefined;
            length?: number | undefined;
            precision?: number | undefined;
            scale?: number | undefined;
            insertable?: boolean | undefined;
            updatable?: boolean | undefined;
            writable?: boolean | undefined;
            sortable?: boolean | undefined;
            filterable?: boolean | undefined;
            searchable?: boolean | undefined;
            dynamic?: boolean | undefined;
            defaultValue?: any;
            updateValue?: any;
            dict?: string | undefined;
            domain?: string | undefined;
            columnName?: string | undefined;
            columnDefault?: any;
            annotations?: Record<string, any> | undefined;
            order?: number | undefined;
            inputType?: import("@fly-vue/lcdp-api").FieldInputType | undefined;
        }[]>;
        params: import("@fly-vue/ide-core").IListLocalOperationParams;
        up: (index: number) => void;
        down: (index: number) => void;
        addToList: (e: {
            name: string;
            title?: string | undefined;
            description?: string | undefined;
            type?: import("@fly-vue/lcdp-api").FieldType | undefined;
            dataType?: import("@fly-vue/lcdp-api").FieldDataType | undefined;
            primaryKey?: boolean | undefined;
            nullable?: boolean | undefined;
            autoIncrement?: boolean | undefined;
            idGenerator?: string | undefined;
            length?: number | undefined;
            precision?: number | undefined;
            scale?: number | undefined;
            insertable?: boolean | undefined;
            updatable?: boolean | undefined;
            writable?: boolean | undefined;
            sortable?: boolean | undefined;
            filterable?: boolean | undefined;
            searchable?: boolean | undefined;
            dynamic?: boolean | undefined;
            defaultValue?: any;
            updateValue?: any;
            dict?: string | undefined;
            domain?: string | undefined;
            columnName?: string | undefined;
            columnDefault?: any;
            annotations?: Record<string, any> | undefined;
            order?: number | undefined;
            inputType?: import("@fly-vue/lcdp-api").FieldInputType | undefined;
        }) => void;
        remove: (index: number) => Promise<void>;
        finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
        validate: () => true | "请补全必填项" | "名称只支持大小写字母、数字和下划线，并且不以数字开头";
        getInputTypeLabel: (value?: import("@fly-vue/lcdp-api").FieldInputType | undefined) => string | undefined;
        add: () => void;
        removeField: (index: number) => Promise<void>;
        fieldValidate: () => true | "请补全必填项" | "名称只支持大小写字母、数字和下划线，并且不以数字开头";
        fromObjectToList: (obj: Record<string, import("@fly-vue/lcdp-api").IField>) => import("@fly-vue/lcdp-api").IField[];
        fromListToObject: (list: import("@fly-vue/lcdp-api").IField[]) => Record<string, any>;
        ignoreNext: import("vue").Ref<boolean>;
        onCheckAll: (name: string) => void;
        InputExpression: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/input-expression.vue")>;
        SelectDict: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-dict.vue")>;
        FieldType: typeof import("@fly-vue/lcdp-api").FieldType;
        FieldDataType: typeof import("@fly-vue/lcdp-api").FieldDataType;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
        LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
        Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
        isValidVariable: typeof import("@fly-vue/ide-base").isValidVariable;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-remove" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
        data: null;
        isSystem: {
            type: BooleanConstructor;
        };
    }>>, {
        isSystem: boolean;
    }>;
    EntityRelations: import("vue").DefineComponent<{
        id: {
            type: StringConstructor;
        };
        data: {
            type: PropType<IEntity>;
            required: true;
        };
        isSystem: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            data: IEntity;
            isSystem: boolean;
        } & {
            id?: string | undefined;
        }>>>;
        emit: (event: "on-remove", ...args: any[]) => void;
        list: import("vue").Ref<{
            name: string;
            title?: string | undefined;
            description?: string | undefined;
            type: import("@fly-vue/lcdp-api").RelationType;
            sourceEntity?: string | undefined;
            targetEntity?: string | undefined;
            joinEntity?: string | undefined;
            joinFields?: {
                local: string;
                target: string;
            }[] | undefined;
            optional?: boolean | undefined;
            expandable?: boolean | undefined;
            generateForeignKey?: boolean | undefined;
            foreignKeyName?: string | undefined;
            saved?: boolean | undefined;
        }[]>;
        params: import("@fly-vue/ide-core").IListLocalOperationParams;
        up: (index: number) => void;
        down: (index: number) => void;
        remove: (index: number) => Promise<void>;
        appId: string | undefined;
        editable: import("vue").Ref<boolean>;
        warning: import("vue").Ref<boolean>;
        fields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
        targetFields: import("vue").ShallowReactive<Record<string, any>>;
        finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
        addIndex: () => void;
        removeRelation: (index: number) => Promise<void>;
        validate: () => true | "请补全必填项" | "名称只支持大小写字母、数字和下划线，并且不以数字开头";
        save: () => Promise<boolean>;
        tryLoadEntity: (entityId: string) => Promise<void>;
        clearJoinFields: (relation: import("@fly-vue/lcdp-api").IRelation) => void;
        init: () => void;
        onChangeType: (relation: import("@fly-vue/lcdp-api").IRelation) => void;
        onChangeTargetEntity: (relation: import("@fly-vue/lcdp-api").IRelation) => void;
        generateName: (relation: import("@fly-vue/lcdp-api").IRelation) => void;
        onChangeJoinFields: (relation: import("@fly-vue/lcdp-api").IRelation) => void;
        nameWarningClass: (item: import("@fly-vue/lcdp-api").IRelation) => {
            'ui-ring-2 ui-ring-red-400': boolean;
        };
        joinFieldsWarningClass: (item: import("@fly-vue/lcdp-api").IRelation) => {
            'ui-ring-2 ui-ring-red-400': boolean;
        };
        RelationType: typeof import("@fly-vue/lcdp-api").RelationType;
        RelationTypeText: {
            MANY_TO_ONE: string;
            MANY_TO_MANY: string;
            ONE_TO_ONE: string;
            ONE_TO_MANY: string;
        };
        SelectEntity: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-entity.vue")>;
        SelectJoinFields: import("vue").DefineComponent<{
            value: {
                type: PropType<import("@fly-vue/lcdp-api").IJoinField[]>;
                default: () => never[];
            };
            fields: {
                type: PropType<import("@fly-vue/lcdp-api").IField[]>;
                required: true;
            };
            targetFields: {
                type: PropType<import("@fly-vue/lcdp-api").IField[]>;
            };
            disabled: {
                type: BooleanConstructor;
            };
            readonly: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                value: import("@fly-vue/lcdp-api").IJoinField[];
                fields: import("@fly-vue/lcdp-api").IField[];
                disabled: boolean;
                readonly: boolean;
            } & {
                targetFields?: import("@fly-vue/lcdp-api").IField[] | undefined;
            }>>>;
            emit: (event: "input" | "on-ok" | "on-show", ...args: any[]) => void;
            list: import("vue").Ref<{
                local: string;
                target: string;
            }[]> | import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IJoinField[]>;
            isShowModal: import("vue").Ref<boolean>;
            candidates: import("vue").Ref<{
                local: string;
                target: string;
            }[]>;
            valid: import("vue").ComputedRef<boolean>;
            init: () => void;
            add: () => void;
            save: () => void;
            showModal: () => void;
            Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
            Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
            LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
            Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
            Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
            IconBtn: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/icon-btn.vue")>;
            LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
            FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
            LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-show")[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: PropType<import("@fly-vue/lcdp-api").IJoinField[]>;
                default: () => never[];
            };
            fields: {
                type: PropType<import("@fly-vue/lcdp-api").IField[]>;
                required: true;
            };
            targetFields: {
                type: PropType<import("@fly-vue/lcdp-api").IField[]>;
            };
            disabled: {
                type: BooleanConstructor;
            };
            readonly: {
                type: BooleanConstructor;
            };
        }>>, {
            value: import("@fly-vue/lcdp-api").IJoinField[];
            disabled: boolean;
            readonly: boolean;
        }>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
        Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
        SelectRelationType: import("vue").DefineComponent<{
            value: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
                value?: string | undefined;
            }>>>;
            emit: (event: "input" | "on-select", ...args: any[]) => void;
            innerValue: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
            list: any[];
            onSelect: () => Promise<void>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: StringConstructor;
            };
        }>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-remove"[], string, Readonly<import("vue").ExtractPropTypes<{
        id: {
            type: StringConstructor;
        };
        data: {
            type: PropType<IEntity>;
            required: true;
        };
        isSystem: {
            type: BooleanConstructor;
        };
    }>>, {
        isSystem: boolean;
    }>;
    EntityEvents: import("vue").DefineComponent<{
        data: {
            type: PropType<IEntity>;
            required: true;
        };
        isSystem: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            data: IEntity;
            isSystem: boolean;
        } & {}>>>;
        emit: (event: "on-remove", ...args: any[]) => void;
        list: import("vue").Ref<{
            _event?: string | undefined;
            enabled?: boolean | undefined;
            trans?: boolean | undefined;
            fn?: string | undefined;
            saved?: boolean | undefined;
        }[]>;
        params: import("@fly-vue/ide-core").IListLocalOperationParams;
        up: (index: number) => void;
        down: (index: number) => void;
        remove: (index: number) => Promise<void>;
        warning: import("vue").Ref<boolean>;
        finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
        add: () => void;
        removeEvent: (index: number) => Promise<void>;
        validate: () => true | "请补全必填项";
        save: () => Promise<boolean>;
        init: () => void;
        SelectOrchTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-orch-tree.vue")>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
        SelectEventType: import("vue").DefineComponent<{
            value: {
                type: StringConstructor;
            };
            placeholder: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
                value?: string | undefined;
                placeholder?: string | undefined;
            }>>>;
            emit: (event: "input" | "on-change", ...args: any[]) => void;
            v: import("vue").Ref<string | undefined>;
            innerValue: import("vue").Ref<string | undefined>;
            list: any[];
            onChange: (item?: any) => void;
            LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: StringConstructor;
            };
            placeholder: {
                type: StringConstructor;
            };
        }>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-remove"[], string, Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: PropType<IEntity>;
            required: true;
        };
        isSystem: {
            type: BooleanConstructor;
        };
    }>>, {
        isSystem: boolean;
    }>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Page: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/page.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    SimpleTabs: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/tab/simple-tabs.vue")>;
    EntityPages: import("vue").DefineComponent<{
        data: {
            type: PropType<IEntity>;
            required: true;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            data: IEntity;
        } & {}>>>;
        list: import("vue").Ref<{
            title: string;
            name: string;
            packageName: string;
            id: string;
            meta: {
                title?: string | undefined;
                type?: any;
            };
        }[]>;
        remove: (page: import("@fly-vue/lcdp-api").IEntityPage) => Promise<void>;
        edit: (page: import("@fly-vue/lcdp-api").IEntityPage) => void;
        reload: () => Promise<void>;
        showCreateEntityPage: () => void;
        getPageTypeLabel: (page: import("@fly-vue/lcdp-api").IEntityPage) => string;
        columns: import("@fly-vue/ide-base").ITableColumn[];
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
        Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
        TextCode: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text-code.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: PropType<IEntity>;
            required: true;
        };
    }>>, {}>;
    PageRenderer: () => Promise<typeof import("@fly-vue/ide-core/@types/components/renderer/page-renderer.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-save"[], string, Readonly<import("vue").ExtractPropTypes<{
    appId: {
        type: StringConstructor;
    };
    id: {
        type: StringConstructor;
        required: true;
    };
    title: {
        type: StringConstructor;
        required: true;
    };
    data: {
        type: PropType<IEntity>;
    };
    doRefresh: {
        type: FunctionConstructor;
    };
    doSave: {
        type: FunctionConstructor;
    };
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
}>>, {
    mode: string;
    enableInnerSave: boolean;
}>;
export default _default;
