import { PropType } from 'vue';
import { IEntity, IRelation, RelationType } from '@fly-vue/lcdp-api';
import { IListLocalOperationParams } from '@fly-vue/ide-core';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
    };
    data: {
        type: PropType<IEntity>;
        required: true;
    };
    isSystem: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: IEntity;
        isSystem: boolean;
    } & {
        id?: string | undefined;
    }>>>;
    emit: (event: "on-remove", ...args: any[]) => void;
    list: import("vue").Ref<{
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        type: RelationType;
        sourceEntity?: string | undefined;
        targetEntity?: string | undefined;
        joinEntity?: string | undefined;
        joinFields?: {
            local: string;
            target: string;
        }[] | undefined;
        optional?: boolean | undefined;
        expandable?: boolean | undefined;
        generateForeignKey?: boolean | undefined;
        foreignKeyName?: string | undefined;
        saved?: boolean | undefined;
    }[]>;
    params: IListLocalOperationParams;
    up: (index: number) => void;
    down: (index: number) => void;
    remove: (index: number) => Promise<void>;
    appId: string | undefined;
    editable: import("vue").Ref<boolean>;
    warning: import("vue").Ref<boolean>;
    fields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
    targetFields: import("vue").ShallowReactive<Record<string, any>>;
    finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
    addIndex: () => void;
    removeRelation: (index: number) => Promise<void>;
    validate: () => true | "请补全必填项" | "名称只支持大小写字母、数字和下划线，并且不以数字开头";
    save: () => Promise<boolean>;
    tryLoadEntity: (entityId: string) => Promise<void>;
    clearJoinFields: (relation: IRelation) => void;
    init: () => void;
    onChangeType: (relation: IRelation) => void;
    onChangeTargetEntity: (relation: IRelation) => void;
    generateName: (relation: IRelation) => void;
    onChangeJoinFields: (relation: IRelation) => void;
    nameWarningClass: (item: IRelation) => {
        'ui-ring-2 ui-ring-red-400': boolean;
    };
    joinFieldsWarningClass: (item: IRelation) => {
        'ui-ring-2 ui-ring-red-400': boolean;
    };
    RelationType: typeof RelationType;
    RelationTypeText: {
        MANY_TO_ONE: string;
        MANY_TO_MANY: string;
        ONE_TO_ONE: string;
        ONE_TO_MANY: string;
    };
    SelectEntity: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-entity.vue")>;
    SelectJoinFields: import("vue").DefineComponent<{
        value: {
            type: PropType<import("@fly-vue/lcdp-api").IJoinField[]>;
            default: () => never[];
        };
        fields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        targetFields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        readonly: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            value: import("@fly-vue/lcdp-api").IJoinField[];
            fields: import("@fly-vue/lcdp-api").IField[];
            disabled: boolean;
            readonly: boolean;
        } & {
            targetFields?: import("@fly-vue/lcdp-api").IField[] | undefined;
        }>>>;
        emit: (event: "input" | "on-ok" | "on-show", ...args: any[]) => void;
        list: import("vue").Ref<{
            local: string;
            target: string;
        }[]> | import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IJoinField[]>;
        isShowModal: import("vue").Ref<boolean>;
        candidates: import("vue").Ref<{
            local: string;
            target: string;
        }[]>;
        valid: import("vue").ComputedRef<boolean>;
        init: () => void;
        add: () => void;
        save: () => void;
        showModal: () => void;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
        Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
        IconBtn: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/icon-btn.vue")>;
        LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
        FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
        LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-show")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: PropType<import("@fly-vue/lcdp-api").IJoinField[]>;
            default: () => never[];
        };
        fields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        targetFields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        readonly: {
            type: BooleanConstructor;
        };
    }>>, {
        value: import("@fly-vue/lcdp-api").IJoinField[];
        disabled: boolean;
        readonly: boolean;
    }>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
    SelectRelationType: import("vue").DefineComponent<{
        value: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
            value?: string | undefined;
        }>>>;
        emit: (event: "input" | "on-select", ...args: any[]) => void;
        innerValue: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
        list: any[];
        onSelect: () => Promise<void>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: StringConstructor;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-remove"[], string, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
    };
    data: {
        type: PropType<IEntity>;
        required: true;
    };
    isSystem: {
        type: BooleanConstructor;
    };
}>>, {
    isSystem: boolean;
}>;
export default _default;
